{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-21.05";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }: flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = import nixpkgs { inherit system; };
    in
    rec {
      devShell = pkgs.mkShell {
        buildInputs = with pkgs; [
          nixops
          python38
          python38Packages.mutagen
          zola
          unzip
          wget
        ];

        shellHook = ''
          export NIXOPS_DEPLOYMENT=schulischer-schabernack-hcloud
          export NIX_PATH=nixpkgs=${nixpkgs}
        '';
      };
    });
}
